#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: async
version: 2.0.1.5
id: async-2.0.1.5-f71d496cfb8fbc431872b9ec60fe99d0

license: BSD3
copyright: (c) Simon Marlow 2012
maintainer: Simon Marlow <marlowsd@gmail.com>
stability:
homepage: https://github.com/simonmar/async
package-url:
synopsis: Run IO operations asynchronously and wait for their results
description: This package provides a higher-level interface over
             threads, in which an @Async a@ is a concurrent
             thread that will eventually deliver a value of
             type @a@.  The package provides ways to create
             @Async@ computations, wait for their results, and
             cancel them.
             .
             Using @Async@ is safer than using threads in two
             ways:
             .
             * When waiting for a thread to return a result,
             if the thread dies with an exception then the
             caller must either re-throw the exception
             ('\''wait'\'') or handle it ('\''waitCatch'\''); the
             exception cannot be ignored.
             .
             * The API makes it possible to build a tree of
             threads that are automatically killed when
             their parent dies (see '\''withAsync'\'').
             .
             Changes in 2.0.1.5:
             .
             * Bump @base@ dependencies for GHC 7.8
             .
             Changes in 2.0.1.4:
             .
             * Bump @base@ dependency of test suite
             .
             Changes in 2.0.1.3:
             .
             * Bump @base@ dependency to allow 4.6
             .
             Changes in 2.0.1.2:
             .
             * Bump @stm@ dependency to 2.4
             .
             Changes in 2.0.1.1:
             .
             * Safe Haskell support: @Control.Concurrent.Async@ is now @Trustworthy@
             .
             Changes in 2.0.1.0:
             .
             * Added a @Functor@ instance for @Async@
             .
             * Added @asyncBound@, @asyncOn@, @asyncWithUnmask@, @asyncOnWithUnmask@, @withAsyncBound@, @withAsyncOn@, @withAsyncWithUnmask@, @withAsyncOnWithUnmask@.
             .
             * Added @mapConcurrently@
             .
             * Added @Concurrently@ (with @Applicative@ and @Alternative@ instances)
category: Concurrency
author: Simon Marlow
exposed: True
exposed-modules: Control.Concurrent.Async
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/async-2.0.1.5
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/async-2.0.1.5
              /usr/local/lib
hs-libraries: HSasync-2.0.1.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         stm-2.4.2-29f719ec777dfbb9548ac2cdb8ccc3c6
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/async-2.0.1.5/html/async.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/async-2.0.1.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
